- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_set_read_concern()

## Synopsis

    void
    mongoc_client_set_read_concern (mongoc_client_t *client,
                                    const mongoc_read_concern_t *read_concern);

Sets the read concern for the client. This only affects future operations, collections, and databases inheriting from `client`.

The default read concern is MONGOC_READ_CONCERN_LEVEL_LOCAL. This is the correct read concern for the great majority of applications.

It is a programming error to call this function on a client from a mongoc_client_pool_t. For pooled clients, set the read concern with the MongoDB URI instead.

## Parameters

- `client`: A mongoc_client_t.
- `read_concern`: A mongoc_read_concern_t.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.